#ifndef PROCESS_H
#define PROCESS_H

#define IM_KILLED  1
#define CHILD_EXIT 2

#define PARENT_SIGNALS	6	/* TERM, INT, CHLD, HUP, USR1, USR2	*/
#define CHILD_SIGNALS   3	/* TERM, INT, CHLD			*/

INT checkSignal(VOID);
INT signalSetup(INT all);
INT signalReset(INT all);
VOID processRundown(VOID);
INT becomeDaemon(VOID);
pid_t doFork(INT dolog);
VOID changeIdent(VOID);
VOID resetIdent(VOID);
INT forkFilter (CHAR *filter, INT mode, INT *ds);

#endif /* PROCESS_H */
